package com.hammurapi.common.concurrent;

import com.hammurapi.common.Context;

public interface Invocation<K> {
	
	Object[] getArguments();
	
	PropertySet<K> getPropertySet();
	
	Context getContext();

}
